diff --git a/src/traverso/dialogs/settings/Pages.cpp b/src/traverso/dialogs/settings/Pages.cpp
index 5656fd50..23ba34ce 100644
--- a/src/traverso/dialogs/settings/Pages.cpp
+++ b/src/traverso/dialogs/settings/Pages.cpp
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2007-2009 Remon Sijrier 
+Copyright (C) 2007-2009 Remon Sijrier
 
 This file is part of Traverso
 
@@ -59,14 +59,14 @@ AudioDriverConfigPage::AudioDriverConfigPage(QWidget *parent)
         driverInformationTextEdit->hide();
 
 	periodBufferSizesList << 16 << 32 << 64 << 128 << 256 << 512 << 1024 << 2048 << 4096;
-	
+
 	m_mainLayout = qobject_cast<QVBoxLayout*>(layout());
-	
+
 	QStringList drivers = audiodevice().get_available_drivers();
 	foreach(const QString &name, drivers) {
 		driverCombo->addItem(name);
 	}
-	
+
 
 	m_portaudiodrivers = new PaDriverPage(this);
 	m_mainLayout->addWidget(m_portaudiodrivers);
@@ -74,7 +74,7 @@ AudioDriverConfigPage::AudioDriverConfigPage(QWidget *parent)
 	m_alsadevices = new AlsaDevicesPage(this);
 	m_alsadevices->layout()->setMargin(0);
 	m_mainLayout->addWidget(m_alsadevices);
-	
+
         connect(driverCombo, SIGNAL(currentIndexChanged(QString)), this, SLOT(driver_combobox_index_changed(QString)));
 	connect(restartDriverButton, SIGNAL(clicked()), this, SLOT(restart_driver_button_clicked()));
         connect(rateComboBox, SIGNAL(currentIndexChanged(QString)), this, SLOT(rate_combobox_index_changed(QString)));
@@ -95,37 +95,37 @@ void AudioDriverConfigPage::save_config()
 		buffersize = periodBufferSizesList.at(bufferindex);
 	}
 	config().set_property("Hardware", "buffersize", buffersize);
-	
+
 	config().set_property("Hardware", "drivertype", driverCombo->currentText());
-	
+
 	int playback=1, capture=1;
 	if(duplexComboBox->currentIndex() == 1) {
 		capture = 0;
 	}
-	
+
 	if(duplexComboBox->currentIndex() == 2) {
 		playback = 0;
 	}
-	
+
 	config().set_property("Hardware", "capture", capture);
 	config().set_property("Hardware", "playback", playback);
 
-	
+
 #if defined (ALSA_SUPPORT)
 	int periods = m_alsadevices->periodsCombo->currentText().toInt();
 	config().set_property("Hardware", "numberofperiods", periods);
 	int index = m_alsadevices->devicesCombo->currentIndex();
 	config().set_property("Hardware", "carddevice", m_alsadevices->devicesCombo->itemData(index));
 	config().set_property("Hardware", "DitherShape", m_alsadevices->ditherShapeComboBox->currentText());
-	
+
 #endif
 
-	
+
 #if defined (PORTAUDIO_SUPPORT)
 	int paindex = m_portaudiodrivers->driverCombo->currentIndex();
 	config().set_property("Hardware", "pahostapi", m_portaudiodrivers->driverCombo->itemData(paindex));
 #endif
-	
+
 	config().set_property("Hardware", "jackslave", jackTransportCheckBox->isChecked());
 }
 
@@ -144,22 +144,22 @@ void AudioDriverConfigPage::reset_default_config()
 #else
 	config().set_property("Hardware", "drivertype", "Null Driver");
 #endif
-	
+
 #if defined (PORTAUDIO_SUPPORT)
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 	config().set_property("Hardware", "pahostapi", "alsa");
 #endif
-#if defined (Q_WS_MAC)
+#if defined (Q_OS_MAC)
 	config().set_property("Hardware", "pahostapi", "coreaudio");
 #endif
-#if defined (Q_WS_WIN)
+#if defined (Q_OS_WIN)
 	config().set_property("Hardware", "pahostapi", "wmme");
 #endif
 #endif //end PORTAUDIO_SUPPORT
-	
+
 	config().set_property("Hardware", "capture", 1);
 	config().set_property("Hardware", "playback", 1);
-	
+
 	config().set_property("Hardware", "jackslave", false);
 
 	load_config();
@@ -169,11 +169,11 @@ void AudioDriverConfigPage::load_config( )
 {
 	int samplerate = config().get_property("Hardware", "samplerate", 44100).toInt();
     int buffersize = config().get_property("Hardware", "buffersize", 512).toInt();
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 	QString driverType = config().get_property("Hardware", "drivertype", "ALSA").toString();
 #else
 	QString driverType = config().get_property("Hardware", "drivertype", "PortAudio").toString();
-#endif	
+#endif
 	bool capture = config().get_property("Hardware", "capture", 1).toInt();
 	bool playback = config().get_property("Hardware", "playback", 1).toInt();
 
@@ -182,16 +182,16 @@ void AudioDriverConfigPage::load_config( )
 	if (driverTypeIndex >= 0) {
 		driverCombo->setCurrentIndex(driverTypeIndex);
 	}
-	
+
 	driver_combobox_index_changed(driverType);
-	
+
 	int buffersizeIndex = periodBufferSizesList.indexOf(buffersize);
 	int samplerateIndex = rateComboBox->findText(QString::number(samplerate));
-	
+
 	rateComboBox->setCurrentIndex(samplerateIndex);
 	latencyComboBox->setCurrentIndex(buffersizeIndex);
-	
-	
+
+
 	if (capture && playback) {
 		duplexComboBox->setCurrentIndex(0);
 	} else if (playback) {
@@ -199,23 +199,23 @@ void AudioDriverConfigPage::load_config( )
 	} else {
 		duplexComboBox->setCurrentIndex(2);
 	}
-	
+
 	int index;
-	
+
 #if defined (ALSA_SUPPORT)
 	m_alsadevices->devicesCombo->clear();
 	int periodsIndex = config().get_property("Hardware", "numberofperiods", 3).toInt();
 	QString ditherShape = config().get_property("Hardware", "DitherShape", "None").toString();
 	m_alsadevices->periodsCombo->setCurrentIndex(periodsIndex - 2);
-	
+
 	int shapeIndex = m_alsadevices->ditherShapeComboBox->findText(ditherShape);
 	if (shapeIndex >=0) {
 		m_alsadevices->ditherShapeComboBox->setCurrentIndex(shapeIndex);
 	}
-	
+
 	// Always add the 'default' device
 	m_alsadevices->devicesCombo->addItem(tr("System default"), "default");
-	
+
 	// Iterate over the maximum number of devices that can be in a system
 	// according to alsa, and add them to the devices list.
     QString name, longName;
@@ -226,32 +226,32 @@ void AudioDriverConfigPage::load_config( )
                 m_alsadevices->devicesCombo->addItem(longName, name);
 		}
 	}
-	
+
         QString defaultdevice =  config().get_property("Hardware", "carddevice", "default").toString();
 	index = m_alsadevices->devicesCombo->findData(defaultdevice);
 	if (index >= 0) {
 		m_alsadevices->devicesCombo->setCurrentIndex(index);
 	}
 #endif
-	
+
 #if defined (PORTAUDIO_SUPPORT)
 	m_portaudiodrivers->driverCombo->clear();
 	QString defaulthostapi = "";
 
-#if defined (Q_WS_X11)
+#if defined (Q_OS_UNIX)
 	m_portaudiodrivers->driverCombo->addItem("ALSA", "alsa");
 	m_portaudiodrivers->driverCombo->addItem("Jack", "jack");
 	m_portaudiodrivers->driverCombo->addItem("OSS", "oss");
 	defaulthostapi = "jack";
 #endif
 
-#if defined (Q_WS_MAC)
+#if defined (Q_OS_MAC)
 	m_portaudiodrivers->driverCombo->addItem("Core Audio", "coreaudio");
 	m_portaudiodrivers->driverCombo->addItem("Jack", "jack");
 	defaulthostapi = "coreaudio";
 #endif
 
-#if defined (Q_WS_WIN)
+#if defined (Q_OS_WIN)
 	m_portaudiodrivers->driverCombo->addItem("MME", "wmme");
 	m_portaudiodrivers->driverCombo->addItem("Direct Sound", "directsound");
         m_portaudiodrivers->driverCombo->addItem("WASAPI", "wasapi");
@@ -259,13 +259,13 @@ void AudioDriverConfigPage::load_config( )
         m_portaudiodrivers->driverCombo->addItem("ASIO", "asio");
         defaulthostapi = "wmme";
 #endif
-	
+
 	QString hostapi = config().get_property("Hardware", "pahostapi", defaulthostapi).toString();
 	index = m_portaudiodrivers->driverCombo->findData(hostapi);
 	if (index >= 0) {
 		m_portaudiodrivers->driverCombo->setCurrentIndex(index);
 	}
-	
+
 	update_latency_combobox();
 
 #endif //end PORTAUDIO_SUPPORT
@@ -284,17 +284,17 @@ void AudioDriverConfigPage::restart_driver_button_clicked()
 	QString driver = driverCombo->currentText();
         ads.rate = rateComboBox->currentText().toInt();
         ads.bufferSize =  periodBufferSizesList.at(latencyComboBox->currentIndex());
-	
+
         ads.playback = true;
         ads.capture = true;
 	if(duplexComboBox->currentIndex() == 1) {
                 ads.capture = false;
 	}
-	
+
 	if(duplexComboBox->currentIndex() == 2) {
                 ads.playback = false;
 	}
-	
+
 
         ads.cardDevice = "";
         ads.ditherShape = "None";
@@ -308,13 +308,13 @@ void AudioDriverConfigPage::restart_driver_button_clicked()
 	// setting it now, and restoring it afterwards...
 	int currentperiods = config().get_property("Hardware", "numberofperiods", 3).toInt();
     config().set_property("Hardware", "numberofperiods", periods);
-	
+
 	if (driver == "ALSA") {
 		int index = m_alsadevices->devicesCombo->currentIndex();
                 ads.cardDevice = m_alsadevices->devicesCombo->itemData(index).toString();
 	}
 #endif
-	
+
 #if defined (PORTAUDIO_SUPPORT)
 	if (driver == "PortAudio") {
 		int index = m_portaudiodrivers->driverCombo->currentIndex();
@@ -323,14 +323,14 @@ void AudioDriverConfigPage::restart_driver_button_clicked()
                 ads.cardDevice += "::" + m_portaudiodrivers->outputDevicesCombo->currentText();
         }
 #endif
-			
+
         ads.driverType = driver;
         audiodevice().set_parameters(ads);
-	
+
 #if defined (ALSA_SUPPORT)
 	config().set_property("Hardware", "numberofperiods", currentperiods);
 #endif
-	
+
 	config().set_property("Hardware", "jackslave", jackTransportCheckBox->isChecked());
 }
 
@@ -357,7 +357,7 @@ void AudioDriverConfigPage::driver_combobox_index_changed(QString driver)
 		m_portaudiodrivers->hide();
 		m_mainLayout->removeWidget(m_portaudiodrivers);
 	}
-	
+
 	if (driver == "Jack") {
 		jackGroupBox->show();
         m_mainLayout->insertWidget(m_mainLayout->indexOf(driverConfigGroupBox), jackGroupBox);
@@ -402,12 +402,12 @@ void AudioDriverConfigPage::update_latency_combobox( )
 	latencyComboBox->clear();
 	int rate = rateComboBox->currentText().toInt();
 	int buffersize = audiodevice().get_buffer_size();
-	
+
 	for (int i=0; i<periodBufferSizesList.size(); ++i) {
 		QString latency = QString::number( ((float)(periodBufferSizesList.at(i)) / rate) * 1000 * 2, 'f', 2);
 		latencyComboBox->addItem(latency);
 	}
-	
+
 	int index = periodBufferSizesList.indexOf(buffersize);
 	latencyComboBox->setCurrentIndex(index);
 }
@@ -485,17 +485,17 @@ void AppearenceConfigPage::load_config()
 	pathSelectButton->setIcon(icon);
 	QString themepath = config().get_property("Themer", "themepath",
 				   QString(QDir::homePath()).append(".traverso/themes")).toString();
-	
-	
+
+
 	QStringList keys = QStyleFactory::keys();
 	keys.sort();
 	foreach(const QString &key, keys) {
 		styleCombo->addItem(key);
 	}
-	
+
 	update_theme_combobox(themepath);
-	
-	
+
+
 	// Hmm, there seems no way to get the name of the current
 	// used style, using the classname minus Q and Style seems to do the trick.
 	QString systemstyle = QString(QApplication::style()->metaObject()->className()).remove("Q").remove("Style");
@@ -509,9 +509,9 @@ void AppearenceConfigPage::load_config()
 	bool dbGrid = config().get_property("Themer", "drawdbgrid", false).toBool();
         Qt::Orientation orientation = (Qt::Orientation)config().get_property("Themer", "VUOrientation", Qt::Vertical).toInt();
 
-	
+
 	QString interfaceLanguage = config().get_property("Interface", "LanguageFile", "").toString();
-	
+
 	int index = styleCombo->findText(style);
 	styleCombo->setCurrentIndex(index);
 	index = themeSelecterCombo->findText(theme);
@@ -537,7 +537,7 @@ void AppearenceConfigPage::load_config()
 	QString iconsize = config().get_property("Themer", "iconsize", "22").toString();
 	supportedIconSizes = config().get_property("Themer", "supportediconsizes", "16;22;32;48").toString();
 
-	// if the list is empty, we should offer some default values. (The list can only be 
+	// if the list is empty, we should offer some default values. (The list can only be
 	// empty if someone deleted the values, but not the whole entry, in the config file.)
 	if (supportedIconSizes.isEmpty()) {
 		supportedIconSizes = "16;22;32;48";
@@ -569,8 +569,8 @@ void AppearenceConfigPage::load_config()
 	transportConsoleCombo->addItems(iconSizesList);
 	int trspsizeindex = iconSizeCombo->findText(trspsize);
 	transportConsoleCombo->setCurrentIndex(trspsizeindex);
-	
-	
+
+
 	int langIndex = languageComboBox->findData(interfaceLanguage);
 	if (langIndex >= 0) {
 		languageComboBox->setCurrentIndex(langIndex);
@@ -580,7 +580,7 @@ void AppearenceConfigPage::load_config()
 void AppearenceConfigPage::reset_default_config()
 {
 	styleCombo->clear();
-	
+
 	config().set_property("Themer", "themepath", QString(QDir::homePath()).append("/.traverso/themes"));
         config().set_property("Themer", "currenttheme", "Traverso Light");
 	config().set_property("Themer", "coloradjust", 100);
@@ -605,15 +605,15 @@ AppearenceConfigPage::AppearenceConfigPage(QWidget * parent)
 	: ConfigPage(parent)
 {
 	setupUi(this);
-	
+
 	themeSelecterCombo->setInsertPolicy(QComboBox::InsertAlphabetically);
         m_colorModifierDialog = 0;
-	
+
 	languageComboBox->addItem(tr("Default Language"), "");
 	foreach(const QString &lang, find_qm_files()) {
 		languageComboBox->addItem(language_name_from_qm_file(lang), lang);
 	}
-	
+
 	load_config();
         create_connections();
 }
@@ -646,7 +646,7 @@ void AppearenceConfigPage::theme_index_changed(const QString & theme)
 	int index = themeSelecterCombo->findText(theme);
 	QString data = themeSelecterCombo->itemData(index).toString();
 	QString path = config().get_property("Themer", "themepath", "").toString();
-	
+
 	if (data == "builtintheme") {
 		themer()->use_builtin_theme(theme);
 	} else {
@@ -690,7 +690,7 @@ void AppearenceConfigPage::update_theme_combobox(const QString& path)
         foreach(QString theme, themer()->get_builtin_themes()) {
                 themeSelecterCombo->addItem(theme, "builtintheme");
 	}
-	
+
 	QDir themedir(path);
         foreach (QString themeName, themedir.entryList(QDir::Files)) {
                 themeName = themeName.remove(".xml");
@@ -699,7 +699,7 @@ void AppearenceConfigPage::update_theme_combobox(const QString& path)
                         themeSelecterCombo->addItem(themeName);
 		}
 	}
-	
+
 }
 
 void AppearenceConfigPage::theme_option_changed()
@@ -730,9 +730,9 @@ BehaviorConfigPage::BehaviorConfigPage(QWidget * parent)
 	: ConfigPage(parent)
 {
 	setupUi(this);
-	
+
 	connect(&config(), SIGNAL(configChanged()), this, SLOT(update_follow()));
-	
+
 	load_config();
 }
 
@@ -764,13 +764,13 @@ void BehaviorConfigPage::load_config()
 	bool resyncAudio = config().get_property("AudioClip", "SyncDuringDrag", false).toBool();
 	bool lockClips = config().get_property("AudioClip", "LockByDefault", false).toBool();
     bool showShortcutHelpMessages = config().get_property("ShortCuts", "ShowCursorHelp", true).toBool();
-	
+
 	numberOfTrackSpinBox->setValue(defaultNumTracks);
 	scrollModeComboBox->setCurrentIndex(scrollMode);
 	resyncAudioCheckBox->setChecked(resyncAudio);
 	lockClipsCheckBox->setChecked(lockClips);
     showShortcutUsageMessagesCheckBox->setChecked(showShortcutHelpMessages);
-	
+
 	if (oncloseaction == "save") {
 		saveRadioButton->setChecked(true);
 	} else if (oncloseaction == "ask") {
@@ -778,7 +778,7 @@ void BehaviorConfigPage::load_config()
 	} else {
 		neverRadioButton->setChecked(true);
 	}
-	
+
 	update_follow();
 
 }
@@ -825,7 +825,7 @@ void KeyboardConfigPage::load_config()
 	int jogByPassDistance = config().get_property("InputEventDispatcher", "jobbypassdistance", 70).toInt();
 	int mouseClickTakesOverKeyboardNavigation = config().get_property("InputEventDispatcher", "mouseclicktakesoverkeyboardnavigation", false).toBool();
 	bool enterFinishesHold = config().get_property("InputEventDispatcher", "EnterFinishesHold", false).toBool();
-	
+
         mouseTreshHoldSpinBox->setValue(jogByPassDistance);
 
         if (mouseClickTakesOverKeyboardNavigation) {
@@ -862,7 +862,7 @@ void KeyboardConfigPage::reset_default_config()
 void KeyboardConfigPage::on_exportButton_clicked()
 {
 	tShortCutManager().export_keymap();
-	QMessageBox::information( TMainWindow::instance(), tr("KeyMap Export"), 
+	QMessageBox::information( TMainWindow::instance(), tr("KeyMap Export"),
 		     tr("The exported keymap can be found here:\n\n %1").arg(QDir::homePath() + "/traversokeymap.html"),
 		     QMessageBox::Ok);
 }
@@ -873,7 +873,7 @@ PerformanceConfigPage::PerformanceConfigPage(QWidget* parent)
 {
 	delete layout();
 	setupUi(this);
-	
+
 	load_config();
 
     QIcon icon = QApplication::style()->standardIcon(QStyle::SP_MessageBoxInformation);
@@ -908,18 +908,18 @@ RecordingConfigPage::RecordingConfigPage(QWidget * parent)
 	: ConfigPage(parent)
 {
 	setupUi(this);
-	
+
 	encodingComboBox->addItem("WAV", "wav");
 	encodingComboBox->addItem("WavPack", "wavpack");
 	encodingComboBox->addItem("WAV64", "w64");
 	wavpackCompressionComboBox->addItem("Very high", "very_high");
 	wavpackCompressionComboBox->addItem("High", "high");
 	wavpackCompressionComboBox->addItem("Fast", "fast");
-	
+
         connect(encodingComboBox, SIGNAL(activated(int)), this, SLOT(encoding_index_changed(int)));
-	connect(useResamplingCheckBox, SIGNAL(stateChanged(int)), 
+	connect(useResamplingCheckBox, SIGNAL(stateChanged(int)),
 		this, SLOT(use_onthefly_resampling_checkbox_changed(int)));
-	
+
 	load_config();
 }
 
@@ -931,7 +931,7 @@ void RecordingConfigPage::load_config()
 	} else {
 		use_onthefly_resampling_checkbox_changed(Qt::Unchecked);
 	}
-	
+
 	QString recordFormat = config().get_property("Recording", "FileFormat", "wav").toString();
 	if (recordFormat == "wavpack") {
 		encoding_index_changed(1);
@@ -940,7 +940,7 @@ void RecordingConfigPage::load_config()
 	} else {
 		encoding_index_changed(0);
 	}
-	
+
 	QString wavpackcompression = config().get_property("Recording", "WavpackCompressionType", "fast").toString();
 	if (wavpackcompression == "very_high") {
 		wavpackCompressionComboBox->setCurrentIndex(0);
@@ -948,11 +948,11 @@ void RecordingConfigPage::load_config()
 		wavpackCompressionComboBox->setCurrentIndex(1);
 	} else {
 		wavpackCompressionComboBox->setCurrentIndex(2);
-	}		
-	
+	}
+
 	int index = config().get_property("Conversion", "RTResamplingConverterType", DEFAULT_RESAMPLE_QUALITY).toInt();
 	ontheflyResampleComboBox->setCurrentIndex(index);
-	
+
 	index = config().get_property("Conversion", "ExportResamplingConverterType", 1).toInt();
 	exportDefaultResampleQualityComboBox->setCurrentIndex(index);
 }
@@ -976,7 +976,7 @@ void RecordingConfigPage::reset_default_config()
 	config().set_property("Recording", "FileFormat", "wav");
 	config().set_property("Recording", "WavpackCompressionType", "fast");
 	config().set_property("Recording", "WavpackSkipWVX", "false");
-	
+
 	load_config();
 }
 
@@ -1001,4 +1001,3 @@ void RecordingConfigPage::use_onthefly_resampling_checkbox_changed(int state)
 		ontheflyResampleComboBox->setEnabled(false);
 	}
 }
-
diff --git a/src/traverso/widgets/InfoWidgets.cpp b/src/traverso/widgets/InfoWidgets.cpp
index ec1df1fc..4f6a1f6e 100644
--- a/src/traverso/widgets/InfoWidgets.cpp
+++ b/src/traverso/widgets/InfoWidgets.cpp
@@ -1,5 +1,5 @@
 /*
-Copyright (C) 2005-2008 Remon Sijrier 
+Copyright (C) 2005-2008 Remon Sijrier
 
 This file is part of Traverso
 
@@ -26,7 +26,7 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 #include "DiskIO.h"
 #include "TMainWindow.h"
 #include "TInputEventDispatcher.h"
-#include "MessageWidget.h" 
+#include "MessageWidget.h"
 #include "Project.h"
 #include "ProjectManager.h"
 #include "Sheet.h"
@@ -45,9 +45,9 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 #include <QAction>
 
 
-#if defined (Q_WS_WIN)
+#if defined (Q_OS_WIN)
 #include <windows.h>
-#elif defined (Q_WS_MAC)
+#elif defined (Q_OS_MAC)
 #include <sys/param.h>
 #include <sys/mount.h>
 #else
@@ -61,7 +61,7 @@ Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA.
 // in case we run with memory leak detection enabled!
 #include "Debugger.h"
 
-#if defined (Q_WS_MAC)
+#if defined (Q_OS_MAC)
 static const int SONG_TOOLBAR_HEIGHT = 27;
 #else
 static const int SONG_TOOLBAR_HEIGHT = 24;
@@ -71,7 +71,7 @@ static const int SONG_TOOLBAR_HEIGHT = 24;
 SystemResources::SystemResources(QWidget * parent)
 	: InfoWidget(parent)
 {
-	
+
 	m_writeBufferStatus = new SystemValueBar(this);
 	m_readBufferStatus = new SystemValueBar(this);
 	m_readBufferStatus->setToolTip(tr("Read Buffer Status"));
@@ -86,30 +86,30 @@ SystemResources::SystemResources(QWidget * parent)
         m_collectedNumber = new QLabel(this);
         m_collectedNumber->setFocusPolicy(Qt::NoFocus);
         collected_number_changed();
-	
+
 	m_writeBufferStatus->set_range(0, 100);
 	m_writeBufferStatus->add_range_color(0, 40, QColor(255, 0, 0));
 	m_writeBufferStatus->add_range_color(40, 60, QColor(255, 255, 0));
 	m_writeBufferStatus->add_range_color(60, 100, QColor(227, 254, 227));
 	m_writeBufferStatus->setMinimumWidth(60);
-	
+
 	m_readBufferStatus->set_range(0, 100);
 	m_readBufferStatus->add_range_color(0, 40, QColor(255, 0, 0));
 	m_readBufferStatus->add_range_color(40, 60, QColor(255, 255, 0));
 	m_readBufferStatus->add_range_color(60, 100, QColor(227, 254, 227));
 	m_readBufferStatus->setMinimumWidth(60);
-	
+
 	m_cpuUsage->set_range(0, 100);
 	m_cpuUsage->set_int_rounding(false);
 	m_cpuUsage->setMinimumWidth(90);
 	m_cpuUsage->add_range_color(0, 60, QColor(227, 254, 227));
 	m_cpuUsage->add_range_color(60, 75, QColor(255, 255, 0));
 	m_cpuUsage->add_range_color(75, 100, QColor(255, 0, 0));
-	
+
         m_readBufferStatus->set_text("R");
 	m_writeBufferStatus->set_text("W");
         m_cpuUsage->set_text("DSP");
-	
+
         QHBoxLayout* lay = new QHBoxLayout(this);
 	lay->addSpacing(6);
 	lay->addWidget(m_readBufferStatus);
@@ -122,11 +122,11 @@ SystemResources::SystemResources(QWidget * parent)
 	lay->addSpacing(6);
 	setLayout(lay);
 	setFrameStyle(QFrame::NoFrame);
-	
+
 	connect(&m_updateTimer, SIGNAL(timeout()), this, SLOT(update_status()));
-	
+
 	update_status();
-	
+
         m_updateTimer.start(700);
 
         connect(&ied(), SIGNAL(collectedNumberChanged()), this, SLOT(collected_number_changed()));
@@ -137,7 +137,7 @@ void SystemResources::update_status( )
 	float time = audiodevice().get_cpu_time();
 	int bufReadStatus = 100;
 	int bufWriteStatus = 100;
-	
+
 	if (m_project) {
 		foreach(Sheet* sheet, m_project->get_sheets() ) {
 			bufReadStatus = std::min(sheet->get_diskio()->get_read_buffers_fill_status(), bufReadStatus);
@@ -145,7 +145,7 @@ void SystemResources::update_status( )
 		}
 	}
 
-	
+
 	m_readBufferStatus->set_value(bufReadStatus);
 	m_writeBufferStatus->set_value(bufWriteStatus);
 	m_cpuUsage->set_value(time);
@@ -175,18 +175,18 @@ DriverInfo::DriverInfo( QWidget * parent )
     m_driver->setToolTip(tr("Change Audio Device settings"));
 //	m_driver->setFlat(true);
 	m_driver->setFocusPolicy(Qt::NoFocus);
-	
+
     QHBoxLayout* lay = new QHBoxLayout(this);
     lay->addWidget(m_driver);
 	lay->setMargin(0);
 	setLayout(lay);
-	
+
 	setFrameStyle(QFrame::NoFrame);
-	
+
 	connect(&audiodevice(), SIGNAL(driverParamsChanged()), this, SLOT(update_driver_info()));
 	connect(&audiodevice(), SIGNAL(bufferUnderRun()), this, SLOT(update_xrun_info()));
     connect(m_driver, SIGNAL(clicked( bool )), TMainWindow::instance(), SLOT(show_settings_dialog_sound_system_page()));
-	
+
 	update_driver_info();
 }
 
@@ -245,16 +245,16 @@ HDDSpaceInfo::HDDSpaceInfo(QWidget* parent )
 	m_button->setFlat(true);
 	m_button->setFocusPolicy(Qt::NoFocus);
 	m_button->setEnabled(false);
-	
+
         QHBoxLayout* lay = new QHBoxLayout;
 	lay->setMargin(0);
 	lay->addWidget(m_button);
 	setLayout(lay);
-	
+
 	setFrameStyle(QFrame::NoFrame);
-	
+
 	connect(&updateTimer, SIGNAL(timeout()), this, SLOT(update_status()));
-	
+
 	update_status();
 	updateTimer.start(20000);
 }
@@ -263,14 +263,14 @@ HDDSpaceInfo::HDDSpaceInfo(QWidget* parent )
 void HDDSpaceInfo::set_session(TSession* session)
 {
         m_session = session;
-	
+
         if (! m_session) {
 		updateTimer.start(20000);
 		return;
 	}
-	
+
 	update_status();
-	
+
         connect(m_session, SIGNAL(transportStopped()), this, SLOT(sheet_stopped()));
         connect(m_session, SIGNAL(transportStarted()), this, SLOT(sheet_started()));
 }
@@ -297,21 +297,21 @@ void HDDSpaceInfo::update_status( )
 		m_button->setText("No Info");
 		return;
 	}
-	
+
 	double space = 0.0;
-	
-#if defined (Q_WS_WIN)
-	__int64 freebytestocaller, totalbytes, freebytes; 
+
+#if defined (Q_OS_WIN)
+	__int64 freebytestocaller, totalbytes, freebytes;
 	if (! GetDiskFreeSpaceEx ((const CHAR*)(QS_C(m_project->get_root_dir())),
 					(PULARGE_INTEGER)&freebytestocaller,
 					(PULARGE_INTEGER)&totalbytes,
-					(PULARGE_INTEGER)&freebytes)) 
+					(PULARGE_INTEGER)&freebytes))
 	{
 // 		info().warning("HHDSpaceInfo: " + QString().sprintf("error: %lu", GetLastError()));
 		m_button->setText("No Info");
 		return;
 	}
-	
+
 	space =  double(freebytestocaller / (1 << 20));
 #else
 
@@ -319,7 +319,7 @@ void HDDSpaceInfo::update_status( )
 	m_button->setText("No Info");
 	return;
 #else
-	
+
 	struct statfs fs;
 	statfs(QS_C(m_project->get_root_dir()), &fs);
 	space = floor (fs.f_bavail * (fs.f_bsize / 1048576.0));
@@ -332,9 +332,9 @@ void HDDSpaceInfo::update_status( )
 			recordingSheets.append(sheet);
 		}
 	}
-	
+
 	QString text;
-	
+
 	if (recordingSheets.size()) {
 		int recChannelCount = 0;
 		foreach(Sheet* sheet, recordingSheets) {
@@ -347,11 +347,11 @@ void HDDSpaceInfo::update_status( )
 				}
 			}
 		}
-		
+
 		uint rate = audiodevice().get_sample_rate();
 		double availabletime = (double(UNIVERSAL_SAMPLE_RATE) / rate) * space * 1048576.0;
 		availabletime /= double(sizeof(float) * recChannelCount);
- 		
+
 		QString recordFormat = config().get_property("Recording", "FileFormat", "wav").toString();
 		// I think a compression ratio of 40 % with wavpack is a safe estimation
 		// and 50% with skipwvx...
@@ -363,7 +363,7 @@ void HDDSpaceInfo::update_status( )
 				availabletime = qint64(availabletime / 0.6);
 			}
 		}
-		
+
 		TimeRef time(availabletime);
 		text = timeref_to_hms(time);
 		if (text < "00:30:00") {
@@ -380,7 +380,7 @@ void HDDSpaceInfo::update_status( )
 			text.append(" MB");
 		}
 	}
-	
+
 	m_button->setText(text);
 }
 
@@ -401,7 +401,7 @@ InfoWidget::InfoWidget(QWidget* parent)
 {
 	setFrameStyle(QFrame::StyledPanel | QFrame::Sunken);
 	connect(&pm(), SIGNAL(projectLoaded(Project*)), this, SLOT(set_project(Project*)));
-	
+
 	setFocusPolicy(Qt::NoFocus);
 }
 
@@ -430,11 +430,11 @@ SysInfoToolBar::SysInfoToolBar(QWidget * parent)
 	resourcesInfo = new SystemResources(this);
 	hddInfo = new HDDSpaceInfo(this);
 	driverInfo = new DriverInfo(this);
-	
+
         setMovable(false);
-	
+
 	QAction* action;
-	
+
 	action = addWidget(driverInfo);
 	action->setVisible(true);
 	addSeparator();
@@ -461,17 +461,17 @@ void SystemValueBar::set_value(float value)
     if (qFuzzyCompare(m_current, value)) {
 		return;
 	}
-	
+
 	m_current = value;
-	
+
         if (m_current > m_max) {
                 m_current  = m_max;
         }
-	
+
         if (m_current < m_min) {
                 m_current = m_min;
         }
-	
+
 	update();
 }
 
@@ -491,9 +491,9 @@ void SystemValueBar::paintEvent(QPaintEvent* )
 {
 	QPainter painter(this);
 	painter.setRenderHints(QPainter::Antialiasing);
-	
+
 	QColor color = QColor(227, 254, 227);
-	
+
 	for (int i=0; i<m_rangecolors.size(); ++i) {
 		RangeColor range = m_rangecolors.at(i);
 		if (m_current <= range.x1 && m_current >= range.x0) {
@@ -501,24 +501,24 @@ void SystemValueBar::paintEvent(QPaintEvent* )
 			break;
 		}
 	}
-	
+
 	QRect rect = QRect(0, (height() - 15) / 2, width(), 15);
 	painter.drawRect(rect);
-	
+
 	painter.setBrush(color);
 	painter.setPen(Qt::NoPen);
 	float scalefactor = width() / m_max;
 	rect = QRect(1, (height() - 15) / 2 + 1, width() - 2 - (int)(scalefactor* (m_max - m_current)), 13);
 	painter.drawRect(rect);
-	
+
 	painter.setPen(Qt::black);
 	painter.setFont(themer()->get_font("InfoWidget:fontscale:values"));
-	
+
 	if (m_introunding) {
-		painter.drawText(0, 0, width(), height(), Qt::AlignCenter, 
+		painter.drawText(0, 0, width(), height(), Qt::AlignCenter,
 				m_text + " " + QString::number((int)m_current).append("%"));
 	} else {
-		painter.drawText(0, 0, width(), height(), Qt::AlignCenter, 
+		painter.drawText(0, 0, width(), height(), Qt::AlignCenter,
                  m_text + " " + QString::number(double(m_current), 'f', 1).append("%"));
 	}
 }
@@ -552,7 +552,7 @@ ProgressToolBar::ProgressToolBar(QWidget* parent)
 	filecount = 1;
 	filenum = 1;
 
-	QString style = "QProgressBar {border: 2px solid grey;border-radius: 5px; height: 10px; width 300px; text-align: center;}" 
+	QString style = "QProgressBar {border: 2px solid grey;border-radius: 5px; height: 10px; width 300px; text-align: center;}"
 "QProgressBar::chunk {background-color: qlineargradient(x1: 0, y1: 0, x2: 1.0, y2: 1.0,stop: 0 white, stop: 1 navy);}";
 
         m_progressBar->setStyleSheet(style);
